Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Class LastRunFilter

    java.lang.Object
      com.sun.javatest.TestFilter
          com.sun.javatest.ObservableTestFilter
              com.sun.javatest.LastRunFilter

    public class LastRunFilter

extends ObservableTestFilter

This filter designed to show only the results from the last test run.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.javatest.ObservableTestFilter
`ObservableTestFilter.Observer`

Nested classes/interfaces inherited from class com.sun.javatest.TestFilter
`TestFilter.Fault`

Field Summary

Fields inherited from class com.sun.javatest.ObservableTestFilter
`observers`

Constructor Summary
`LastRunFilter()` Create uninitialized filter.
`LastRunFilter(WorkDirectory wd)`

Method Summary
`boolean` | `accepts(TestDescription td)` Determines whether a TestDescription should be accepted or rejected by this filter.
`boolean` | `accepts(TestDescription td, TestFilter.Observer o)` Determines whether a TestDescription should be accepted or rejected by this filter; if rejected, it is reported to the provided observer.
`void` | `addTestURL(java.lang.String url)` Adds testURL to the list of testURLs.
`void` | `clearTestURLs()` Clears list of testURLs.
`java.lang.String` | `getDescription()` Get a description of this filter, as might be used to give more details about this filter than provided by `TestFilter.getName()`.
`java.lang.String` | `getName()` Get the name of this filter, as might be used to choose of of a set of filters.
`java.lang.String` | `getReason()` Get the reason why this filter would reject a test, as might be used in reports.
`java.io.File[]` | `getTestURLs()`
`boolean` | `isWorkDirectorySet()`
`void` | `setLastStartTime(long time)`
`void` | `setWorkDirectory(WorkDirectory wd)` Can be called at any time to change the context of this filter.

Methods inherited from class com.sun.javatest.ObservableTestFilter
`addObserver, notifyUpdated, removeObserver`

Methods inherited from class com.sun.javatest.TestFilter
`accepts, accepts`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LastRunFilter

    public LastRunFilter()

  Create uninitialized filter. Will not work until the work directory is set or the last start time is set.

  See Also:
    `setLastStartTime(long)`, `setWorkDirectory(com.sun.javatest.WorkDirectory)`

### LastRunFilter

    public LastRunFilter(WorkDirectory wd)

Method Detail

### setWorkDirectory

    public void setWorkDirectory(WorkDirectory wd)

  Can be called at any time to change the context of this filter.

### setLastStartTime

    public void setLastStartTime(long time)

### isWorkDirectorySet

    public boolean isWorkDirectorySet()

### getName

    public java.lang.String getName()

  Description copied from class: `TestFilter`
  Get the name of this filter, as might be used to choose of of a set of filters. This string should be localized.

  Specified by:
    `getName` in class `TestFilter`
  Returns:
    the name of this filter

### getDescription

    public java.lang.String getDescription()

  Description copied from class: `TestFilter`
  Get a description of this filter, as might be used to give more details about this filter than provided by `TestFilter.getName()`. This string should be localized.

  Specified by:
    `getDescription` in class `TestFilter`
  Returns:
    a description of this filter

### getReason

    public java.lang.String getReason()

  Description copied from class: `TestFilter`
  Get the reason why this filter would reject a test, as might be used in reports. This string should be localized.

  Specified by:
    `getReason` in class `TestFilter`
  Returns:
    a rejection reason for this filter

### getTestURLs

    public java.io.File[] getTestURLs()

  Returns:
    Array of testURLs executed

### clearTestURLs

    public void clearTestURLs()

  Clears list of testURLs. This method is invoked prior the test run.

### addTestURL

    public void addTestURL(java.lang.String url)

  Adds testURL to the list of testURLs. This method is invoked when a test is selected to be executed.

  Parameters:
    `url` - - test url of the test to execute

### accepts

    public boolean accepts(TestDescription td)
                    throws TestFilter.Fault

  Description copied from class: `TestFilter`
  Determines whether a TestDescription should be accepted or rejected by this filter.

  Specified by:
    `accepts` in class `TestFilter`
  Parameters:
    `td` - the TestDescription to check
  Returns:
    true if td should be included in collection; false otherwise.
  Throws:
    `TestFilter.Fault` - if an error occurs while trying to determine if this test should be accepted or not.

### accepts

    public boolean accepts(TestDescription td,
                           TestFilter.Observer o)
                    throws TestFilter.Fault

  Description copied from class: `TestFilter`
  Determines whether a TestDescription should be accepted or rejected by this filter; if rejected, it is reported to the provided observer.

  Overrides:
    `accepts` in class `TestFilter`
  Parameters:
    `td` - The TestDescription to check.
    `o` - An observer, which will be notified if the test is rejected by this filter.
  Returns:
    true if td should be included in collection; false otherwise.
  Throws:
    `TestFilter.Fault` - if an error occurs while trying to determine if this test should be accepted or not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.